[API Reference](../README.md) > [DaoCreatorFactoryType](../classes/DaoCreatorFactoryType.md)



# Class: DaoCreatorFactoryType


defined just to add good type checking

## Hierarchy


 [ContractWrapperFactory](ContractWrapperFactory.md)[DaoCreatorWrapper](DaoCreatorWrapper.md)

**↳ DaoCreatorFactoryType**







## Index

### Constructors

* [constructor](DaoCreatorFactoryType.md#constructor)


### Methods

* [at](DaoCreatorFactoryType.md#at)
* [deployed](DaoCreatorFactoryType.md#deployed)
* [new](DaoCreatorFactoryType.md#new)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new DaoCreatorFactoryType**(solidityContractName: *`string`*, wrapper: *`object`*): [DaoCreatorFactoryType](DaoCreatorFactoryType.md)


*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[constructor](ContractWrapperFactory.md#constructor)*

*Defined in [contractWrapperFactory.ts:9](https://github.com/daostack/arc.js/blob/77005d4/lib/contractWrapperFactory.ts#L9)*



Connstructor to create a contract wrapper factory for the given Arc contract name and wrapper class.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContractName | `string`   |  - |
| wrapper | `object`   |  Class of the contract |





**Returns:** [DaoCreatorFactoryType](DaoCreatorFactoryType.md)

---


## Methods
<a id="at"></a>

###  at

► **at**(address: *`string`*): `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[at](ContractWrapperFactory.md#at)*

*Defined in [contractWrapperFactory.ts:35](https://github.com/daostack/arc.js/blob/77005d4/lib/contractWrapperFactory.ts#L35)*



Return a wrapper around the contract, hydrated from the given address. Throws an exception if the contract is not found at the given address.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>





___

<a id="deployed"></a>

###  deployed

► **deployed**(): `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[deployed](ContractWrapperFactory.md#deployed)*

*Defined in [contractWrapperFactory.ts:45](https://github.com/daostack/arc.js/blob/77005d4/lib/contractWrapperFactory.ts#L45)*



Return a wrapper around the contract as deployed by the current version of Arc.js. Note this is usually not needed as the WrapperService provides these wrappers already hydrated.




**Returns:** `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>





___

<a id="new"></a>

###  new

► **new**(controllerCreatorAddress?: *[Address](../#Address)*): `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>



*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[new](ContractWrapperFactory.md#new)*

*Defined in [wrappers/daoCreator.ts:305](https://github.com/daostack/arc.js/blob/77005d4/lib/wrappers/daoCreator.ts#L305)*




**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| controllerCreatorAddress | [Address](../#Address)   |  The ControllerCreator that Arc will use when migratinga new non-universal controller in `forgeOrg`.Typically is `ControllerCreator` from Arc. |





**Returns:** `Promise`.<[DaoCreatorWrapper](DaoCreatorWrapper.md)>





___


